#include "stdafx.h"
#include "resource.h"
#include "FDDStd253.h"

#include "Platform.h"

CFDDStd253::CFDDStd253()
{}


CFDDStd253::~CFDDStd253()
{}

BK_DEV_MPI CFDDStd253::GetBoardModel()
{
	return BK_DEV_MPI::STD_253;
}

bool CFDDStd253::InitDevice(uint16_t addrStart)
{
	bool bRet = CFDDStd326::InitDevice(addrStart);

	if (bRet)
	{
		// 253 прошивка, там нету перехода к эмулятору EIS/FIS
		g_Platform.SetInterseptAddress(0160422, 0161540);
	}

	return bRet;
}

bool CFDDStd253::OnInitDevice()
{
	static const CBKMPIDevice::BoardRomList_t m_arrFDD253RomList[FDDRomListSize] =
	{
		// инициализируем список загружаемых ПЗУ
		{ IDS_INI_FDR253, KNGMD_FDDROM_BNK }
	};
	// инициализация карты памяти
	return InitMemoryModules(m_arrFDD253RomList, FDDRomListSize);
}
